thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ciaran Courtney (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (THRIFT-4009) Use @implementer instead of implements in TTwisted.py
Date Tue, 20 Dec 2016 10:44:58 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-4009?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ciaran Courtney updated THRIFT-4009:
------------------------------------
    Priority: Minor  (was: Major)

> Use @implementer instead of implements in TTwisted.py
> -----------------------------------------------------
>
>                 Key: THRIFT-4009
>                 URL: https://issues.apache.org/jira/browse/THRIFT-4009
>             Project: Thrift
>          Issue Type: Bug
>          Components: Python - Library
>    Affects Versions: 0.9.3
>            Reporter: Ciaran Courtney
>            Priority: Minor
>              Labels: easyfix, newbie
>             Fix For: 0.10.0
>
>
> As per zope.interface 4.0.0 changelog
> {quote}
> * Deprecate the “class advice” APIs from zope.interface.declarations: implements,
implementsOnly, and classProvides. In their place, prefer the equivalent class decorators:
@implementer, @implementer_only, and @provider. Code which uses the deprecated APIs will not
work as expected under Py3k.
> {quote}
> https://pypi.python.org/pypi/zope.interface
> PR incoming, patch is simply output of {{zope-2to3 -wn lib/py/src/transport/TTwisted.py}}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message